Bug 976956 - KatelloForemanEngine::Actions::DistributionPublish:error: 422 Unprocessable Entity
KatelloForemanEngine::Actions::DistributionPublish:error: 422 Unprocessable E...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Og Maciel
https://github.com/Katello/katello-fo...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 23:47 EDT by Og Maciel
Modified: 2014-04-24 13:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2013-06-21 23:47:57 EDT
Description of problem:

Created a Composite Content View Definition made up of 4 other Composite Content View Definitions. Each "child" composite cvd had one of the following:

* RHEL 6 32-bit 6Server RPMs
* RHEL 6 64-bit 6Server RPMs
* RHEL 5 32-bit 5Server RPMs
* RHEL 5 64-bit 5Server RPMs

I published this composite cvd and then added it to a promotion changeset. After a very long time the promotion succeeded but I saw the following message displayed in the UI:

Failed to perform additional action KatelloForemanEngine::Actions::DistributionPublish: 422 Unprocessable Entity 

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.9-1.el6_4.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.9-1.el6_4.noarch
* candlepin-tomcat6-0.8.9-1.el6_4.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.1.10014-1.noarch
* foreman-compute-1.1.10014-1.noarch
* foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch
* foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch
* foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch
* foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch
* foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch
* foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch
* foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch
* foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch
* foreman-libvirt-1.1.10014-1.noarch
* foreman-postgresql-1.1.10014-1.noarch
* foreman-proxy-1.1.10003-1.el6sat.noarch
* foreman-proxy-installer-1.0.1-10.f5ae2cd.el6sat.noarch
* katello-1.4.2-17.el6sat.noarch
* katello-all-1.4.2-17.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.2-8.el6sat.noarch
* katello-cli-common-1.4.2-8.el6sat.noarch
* katello-common-1.4.2-17.el6sat.noarch
* katello-configure-1.4.3-16.el6sat.noarch
* katello-configure-foreman-1.4.3-16.el6sat.noarch
* katello-foreman-all-1.4.2-17.el6sat.noarch
* katello-glue-candlepin-1.4.2-17.el6sat.noarch
* katello-glue-elasticsearch-1.4.2-17.el6sat.noarch
* katello-glue-pulp-1.4.2-17.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.3-3.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-rpm-plugins-2.1.2-1.el6sat.noarch
* pulp-selinux-2.1.2-1.el6sat.noarch
* pulp-server-2.1.2-1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch
* ruby193-rubygem-runcible-0.4.10-1.el6sat.noarch
* signo-0.0.19-1.el6sat.noarch
* signo-katello-0.0.19-1.el6sat.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

==> /var/log/katello/production.log <==
[ERROR 2013-06-21 23:35:36 glue  #8028] Katello::Actions::ChangesetPromote:success:nil -> nil
 | KatelloForemanEngine::Actions::ChangesetPromote:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionUnpublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionUnpublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionUnpublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionUnpublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::RepositoryChange:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:nil -> nil
 | KatelloForemanEngine::Actions::DistributionPublish:success:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_RPMs_i386_5Server", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/content/dist/rhel/server/5/5Server/i386/os", "label"=>"Red_Hat_Enterprise_Linux_5_Server_RPMs_i386_5Server", "product_label"=>"Red_Hat_Enterprise_Linux_Server", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Enterprise Linux Server", "variant"=>nil, "arch"=>"i386", "version"=>"5.9"} -> {}
 | KatelloForemanEngine::Actions::DistributionPublish:success:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_RPMs_x86_64_5Server", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/content/dist/rhel/server/5/5Server/x86_64/os", "label"=>"Red_Hat_Enterprise_Linux_5_Server_RPMs_x86_64_5Server", "product_label"=>"Red_Hat_Enterprise_Linux_Server", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Enterprise Linux Server", "variant"=>nil, "arch"=>"x86_64", "version"=>"5.9"} -> {}
 | KatelloForemanEngine::Actions::DistributionPublish:success:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_RPMs_i386_6Server", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/content/dist/rhel/server/6/6Server/i386/os", "label"=>"Red_Hat_Enterprise_Linux_6_Server_RPMs_i386_6Server", "product_label"=>"Red_Hat_Enterprise_Linux_Server", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Enterprise Linux", "variant"=>"Server", "arch"=>"i386", "version"=>"6.4"} -> {}
 | KatelloForemanEngine::Actions::DistributionPublish:success:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_RPMs_x86_64_6Server", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/content/dist/rhel/server/6/6Server/x86_64/os", "label"=>"Red_Hat_Enterprise_Linux_6_Server_RPMs_x86_64_6Server", "product_label"=>"Red_Hat_Enterprise_Linux_Server", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Enterprise Linux", "variant"=>"Server", "arch"=>"x86_64", "version"=>"6.4"} -> {}
 | KatelloForemanEngine::Actions::DistributionPublish:success:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Agent-katello-agent-rhel5-32", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/custom/Agent/katello-agent-rhel5-32", "label"=>"katello-agent-rhel5-32", "product_label"=>"Agent", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Satellite", "variant"=>"Tools", "arch"=>"i386", "version"=>"6.0.1"} -> {}
 | KatelloForemanEngine::Actions::DistributionPublish:success:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Agent-katello-agent-rhel5-64", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/custom/Agent/katello-agent-rhel5-64", "label"=>"katello-agent-rhel5-64", "product_label"=>"Agent", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Satellite", "variant"=>"Tools", "arch"=>"x86_64", "version"=>"6.0.1"} -> {}
 | KatelloForemanEngine::Actions::DistributionPublish:error:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Agent-katello-agent-rhel6-32", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/custom/Agent/katello-agent-rhel6-32", "label"=>"katello-agent-rhel6-32", "product_label"=>"Agent", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Satellite", "variant"=>"Tools", "arch"=>"i386", "version"=>"6.0.1"} -> {}RestClient::UnprocessableEntity: 422 Unprocessable Entity
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `block in transmit'
 | /opt/rh/ruby193/root/usr/share/ruby/net/http.rb:746:in `start'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:166:in `transmit'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:31:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/resource.rb:59:in `post'
 | /opt/rh/ruby193/root/usr/share/gems/gems/foreman_api-0.1.3/lib/foreman_api/base.rb:69:in `http_call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/foreman_api-0.1.3/lib/foreman_api/base.rb:52:in `perform_call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/foreman_api-0.1.3/lib/foreman_api/resources/medium.rb:39:in `create'
 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-foreman-engine-0.0.3/lib/katello_foreman_engine/bindings.rb:183:in `block in medium_create'
 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-foreman-engine-0.0.3/lib/katello_foreman_engine/bindings.rb:219:in `without_root_key'
 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-foreman-engine-0.0.3/lib/katello_foreman_engine/bindings.rb:182:in `medium_create'
 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-foreman-engine-0.0.3/lib/katello_foreman_engine/actions/distribution_publish.rb:30:in `run'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:88:in `block (2 levels) in run_execution_plan'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/step.rb:91:in `catch_errors'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:86:in `block in run_execution_plan'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:83:in `map'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:83:in `run_execution_plan'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:39:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:27:in `trigger'
 | /opt/rh/ruby193/root/usr/share/ruby/forwardable.rb:201:in `trigger'
 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/action.rb:69:in `trigger'
 | /usr/share/katello/app/lib/glue/event.rb:44:in `trigger'
 | /usr/share/katello/app/models/promotion_changeset.rb:104:in `promote_content'
 | /usr/share/katello/app/models/async_operation.rb:58:in `perform'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/backend/base.rb:94:in `block in invoke_job'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `block in initialize'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_callbacks'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/backend/base.rb:91:in `invoke_job'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:178:in `block (2 levels) in run'
 | /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:178:in `block in run'
 | /opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:177:in `run'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:234:in `block in reserve_and_run_one_job'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `block in initialize'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_callbacks'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:234:in `reserve_and_run_one_job'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:162:in `block in work_off'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:161:in `times'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:161:in `work_off'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:133:in `block (4 levels) in start'
 | /opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:132:in `block (3 levels) in start'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `block in initialize'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_callbacks'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:129:in `block (2 levels) in start'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:128:in `loop'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:128:in `block in start'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/plugins/clear_locks.rb:7:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/plugins/clear_locks.rb:7:in `block (2 levels) in <class:ClearLocks>'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `block (2 levels) in add'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `block in initialize'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `block in add'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `execute'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_callbacks'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:127:in `start'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:101:in `run'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:89:in `block in run_process'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:249:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:249:in `block in start_proc'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/daemonize.rb:197:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/daemonize.rb:197:in `call_as_daemon'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:253:in `start_proc'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:293:in `start'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/controller.rb:70:in `run'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons.rb:195:in `block in run_proc'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/cmdline.rb:109:in `call'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/cmdline.rb:109:in `catch_exceptions'
 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons.rb:194:in `run_proc'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:87:in `run_process'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:80:in `block in daemonize'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:78:in `times'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:78:in `daemonize'
 | script/delayed_job:5:in `<main>'
 | KatelloForemanEngine::Actions::DistributionPublish:pending:{"repo"=>{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Agent-katello-agent-rhel6-64", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/custom/Agent/katello-agent-rhel6-64", "label"=>"katello-agent-rhel6-64", "product_label"=>"Agent", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Satellite", "variant"=>"Tools", "arch"=>"x86_64", "version"=>"6.0.1"} -> {}

==> /var/log/katello/delayed_job.log <==
2013-06-21T23:35:37-0400: [Worker(delayed_job host:qeblade35.rhq.lab.eng.bos.redhat.com pid:8028)] PromotionChangeset#promote_content completed after 3380.6641
Comment 1 Og Maciel 2013-06-21 23:48:42 EDT
fwiw each one of the "child" cvds had in turn been promoted earlier on their own.
Comment 5 Dominic Cleal 2013-09-24 04:58:19 EDT
Looks like the error is coming from a "create medium" API call to Foreman.  Could you please supply Foreman's logs showing the API call and error?
Comment 6 Ivan Necas 2013-10-11 03:43:07 EDT
Agree with @dominic, we need /var/log/foreman/production.log to be able to say more about it.
Comment 7 Ivan Necas 2013-10-11 03:55:15 EDT
I guess it failed on trying to create a medium with the same name twice, because there is the same distribution within two different repos in one content view.

So it tries creating medium for

P"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Agent-katello-agent-rhel6-32", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/custom/Agent/katello-agent-rhel6-32", "label"=>"katello-agent-rhel6-32", "product_label"=>"Agent", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Satellite", "variant"=>"Tools", "arch"=>"i386", "version"=>"6.0.1"}

and

{"pulp_id"=>"SimpleOrg-Dev_Env-AllRHELCVD-Agent-katello-agent-rhel5-64", "uri"=>"https://SERVER/pulp/repos/SimpleOrg/Dev_Env/AllRHELCVD/custom/Agent/katello-agent-rhel5-64", "label"=>"katello-agent-rhel5-64", "product_label"=>"Agent", "environment_label"=>"Dev_Env", "organization_label"=>"SimpleOrg", "content_view_label"=>"AllRHELCVD"}, "family"=>"Red Hat Satellite", "variant"=>"Tools", "arch"=>"x86_64", "version"=>"6.0.1"}

with name

"SimpleOrg/Dev_Env/AllRHELCVD Red Hat Satellite Tools i386 6.0.1"

I wonder what this distiribution means in the first place? Can I provision a machine with it?

As a fix, we could also include the repository name in the medium name to make sure it's really uniq.
Comment 8 Dominic Cleal 2013-10-15 04:25:25 EDT
That shouldn't have install media associated with it I don't think - it's not a kickstart repo, just a repo of additional RPMs.
Comment 9 Ivan Necas 2013-10-15 09:45:35 EDT
The problem is with the .treeinfo file that pulp by mistake considers to be a distribution, I will try to find out if we can somehow determine if it's really kickstart from the metadata pulp provides us
Comment 10 Ivan Necas 2013-10-16 09:22:07 EDT
Proposed patch in https://github.com/Katello/katello-foreman-engine/pull/7: I'm determining the repo being a kickstart on testing for presence on 'pxeboot' directory or 'vmlinuz' file.
Comment 11 Ivan Necas 2013-10-17 09:52:34 EDT
Fixed in rubygem-katello-foreman-engine-0.0.12-1
Comment 14 Og Maciel 2013-10-21 16:05:32 EDT
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-18.el6sat.noarch
* foreman-compute-1.3.0-18.el6sat.noarch
* foreman-libvirt-1.3.0-18.el6sat.noarch
* foreman-postgresql-1.3.0-18.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-39.el6sat.noarch
* katello-all-1.4.6-39.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-24.el6sat.noarch
* katello-cli-common-1.4.3-24.el6sat.noarch
* katello-common-1.4.6-39.el6sat.noarch
* katello-configure-1.4.7-5.el6sat.noarch
* katello-configure-foreman-1.4.7-5.el6sat.noarch
* katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
* katello-foreman-all-1.4.6-39.el6sat.noarch
* katello-glue-candlepin-1.4.6-39.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
* katello-glue-pulp-1.4.6-39.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.22.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.22.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.22.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.22.beta.el6sat.noarch
* pulp-server-2.3.0-0.22.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.22-2.el6sat.noarch
* signo-katello-0.0.22-2.el6sat.noarch
Comment 17 Bryan Kearney 2014-04-24 13:07:41 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.